Uploaded image for project: 'OpenMRS Core'
  1. OpenMRS Core
  2. TRUNK-2469

Conflicting ASM Library

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Should
    • Resolution: Fixed
    • Affects Version/s: OpenMRS 1.8.1
    • Fix Version/s: OpenMRS 1.8.2, OpenMRS 1.9.0
    • Component/s: None
    • Labels:
      None
    • Complexity:
      Low

      Description

      Hibernate pom have internal dependency to asm:asm:1.5.3 but OpenMRS core POM also have dependency to asm:asm:2.2.3. We should disable the hibernate asm dependency in the pom file to prevent this conflict.

        Attachments

        1. asm-pom.patch
          0.4 kB
        2. out.2.zip
          181 kB

          Activity

            People

            Assignee:
            nyoman Nyoman Ribeka
            Reporter:
            nyoman Nyoman Ribeka
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: